# Search for a pattern in all columns of a data.frame

Source: `R/view.R`
`search_data.Rd`

Search for a pattern in all columns of a data.frame

    search_data(dataset, pattern, ignore.case = TRUE, fixed = FALSE)

## Arguments

dataset

  Data.frame to search

pattern

  String to match

ignore.case

  Should search be case sensitive or not (default is FALSE)

fixed

  Allow regular expressions or not (default is FALSE)

## See also

See `grepl` for a detailed description of the function arguments

## Examples

    publishers %>% filter(search_data(., "^m"))
    #> # A tibble: 1 × 2
    #>   publisher yr_founded
    #>   <chr>          <int>
    #> 1 Marvel          1939